Package: dh-strip-nondeterminism
Version: 0.011-1
Severity: serious
Justification: Policy 3.5


version 0.011-1 switched from using $dh{DATE} to get_source_date_epoch()
which was introduced (exported) in debhelper on Aug 12 [1]. However,
there was no release of debhelper since then. The latest version is
9.20150811. Even if it was available, dh-strip-nondeterminism should use
a versioned dependency to make this clear. This let's the script fail
whenever it finds non-deterministic files.



-- System Information:
Debian Release: 6.0.10
  APT prefers oldoldstable-updates
  APT policy: (500, 'oldoldstable-updates'), (500, 'oldoldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-vserver-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL 
set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Sebastian "tokkee" Harl +++ GnuPG-ID: 0x2F1FFCC7 +++

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

Attachment: signature.asc
Description: Digital signature

Reproducible-builds mailing list

Reply via email to